# Enum Class MetricAccumulationLevel

java.lang.Object
java.lang.Enum<MetricAccumulationLevel>
picard.analysis.MetricAccumulationLevel

All Implemented Interfaces:
  `Serializable, Comparable<MetricAccumulationLevel>, Constable`

public enum MetricAccumulationLevel extends Enum<MetricAccumulationLevel>
For use with Picard metrics programs that may output metrics for multiple levels of aggregation with an analysis. Used to specify which metrics to output

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL_READS`
`LIBRARY`
`READ_GROUP`
`SAMPLE`

## Method Summary

Modifier and Type
Method
Description
`static MetricAccumulationLevel`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MetricAccumulationLevel[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ALL_READS

public static final MetricAccumulationLevel ALL_READS

### SAMPLE

public static final MetricAccumulationLevel SAMPLE

### LIBRARY

public static final MetricAccumulationLevel LIBRARY

### READ_GROUP

public static final MetricAccumulationLevel READ_GROUP

## Method Details

### values

public static MetricAccumulationLevel[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MetricAccumulationLevel valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null